'Oom010 (11/18/2001 8:36:07 am)'.!


Object subclass: #OomTimeStamp
	instanceVariableNames: 'timeStampString '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Oom-Metrics-Support'!
!OomTimeStamp commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi!


!OomTimeStamp methodsFor: 'initialize-release'!
initialize
	timeStampString := self timeStampString! !


!OomTimeStamp methodsFor: 'accessing'!
date
	^self stamp copyFrom: 1 to: 10! !

!OomTimeStamp methodsFor: 'accessing'!
stamp
	^timeStampString! !

!OomTimeStamp methodsFor: 'accessing'!
time
	^self stamp copyFrom: 12 to: self stamp size! !


!OomTimeStamp methodsFor: 'comparing'!
< aTimeStamp 
	^self stamp < aTimeStamp stamp! !

!OomTimeStamp methodsFor: 'comparing'!
= aTimeStamp 
	^self stamp = aTimeStamp stamp! !

!OomTimeStamp methodsFor: 'comparing'!
hash
	^self stamp hash! !


!OomTimeStamp methodsFor: 'printing'!
printOn: aStream 
	aStream nextPutAll: self stamp! !


!OomTimeStamp methodsFor: 'private' stamp: 'nishis 7/18/1998 12:44'!
dateString
	"OomTimeStamp new dateString."

	^self dateString: Date today! !

!OomTimeStamp methodsFor: 'private' stamp: 'nishis 7/18/1998 12:44'!
dateString: aDate 
	"OomTimeStamp new dateString: Date today."

	| yy mm dd |
	yy := aDate year printString.
	4 - yy size timesRepeat: [yy := '0' , yy].
	mm := aDate monthIndex printString.
	2 - mm size timesRepeat: [mm := '0' , mm].
	dd := aDate dayOfMonth printString.
	2 - dd size timesRepeat: [dd := '0' , dd].
	^yy , '/' , mm , '/' , dd! !

!OomTimeStamp methodsFor: 'private' stamp: 'nishis 7/18/1998 12:44'!
timeStampString
	"OomTimeStamp new timeStampString."

	^self timeStampString: Time dateAndTimeNow! !

!OomTimeStamp methodsFor: 'private' stamp: 'nishis 7/18/1998 12:44'!
timeStampString: dateAndTimeArray 
	"OomTimeStamp new timeStampString: Time dateAndTimeNow."

	^(self dateString: (dateAndTimeArray at: 1))
		, ' ' , (self timeString: (dateAndTimeArray at: 2))! !

!OomTimeStamp methodsFor: 'private' stamp: 'nishis 7/18/1998 12:43'!
timeString
	"OomTimeStamp new timeString."

	^self timeString: Time now! !

!OomTimeStamp methodsFor: 'private' stamp: 'nishis 7/18/1998 12:43'!
timeString: aTime 
	"OomTimeStamp new timeString: Time now."

	| hh mm ss |
	hh := aTime hours printString.
	hh size < 2 ifTrue: [hh := '0' , hh].
	mm := aTime minutes printString.
	mm size < 2 ifTrue: [mm := '0' , mm].
	ss := aTime seconds printString.
	ss size < 2 ifTrue: [ss := '0' , ss].
	^hh , ':' , mm , ':' , ss! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomTimeStamp class
	instanceVariableNames: ''!

!OomTimeStamp class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi'! !

!OomTimeStamp class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomTimeStamp class methodsFor: 'copyright'!
version
	^'010'! !


!OomTimeStamp class methodsFor: 'instance creation'!
fromString: time! !

!OomTimeStamp class methodsFor: 'instance creation'!
new
	^(super new) initialize; yourself! !


!OomTimeStamp class methodsFor: 'examples'!
example1
	"OomTimeStamp example1."

	| timeStamp |
	timeStamp := OomTimeStamp new.
	Transcript cr; show: timeStamp date.
	Transcript cr; show: timeStamp time.
	Transcript cr; show: timeStamp stamp.
	(Delay forSeconds: 1) wait.
	Transcript cr; show: (timeStamp < OomTimeStamp new) printString.
	^timeStamp! !
