'Oom010 (11/18/2001 8:36:13 am)'.!


OomListenerModel subclass: #OomListener
	instanceVariableNames: 'value '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Oom-Interface-Models'!
!OomListener commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1998 NISHIHARA Satoshi!


!OomListener methodsFor: 'accessing' stamp: 'nishis 7/29/1998 00:41'!
setValue: aValue
	"change value without notifying."

	value := aValue! !

!OomListener methodsFor: 'accessing' stamp: 'nishis 7/27/1998 08:05'!
value
	^value! !


!OomListener methodsFor: 'printing' stamp: 'nishis 7/29/1998 00:35'!
printOn: aStream 
	super printOn: aStream.
	aStream nextPutAll: ' on: '.
	aStream nextPutAll: self value printString! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomListener class
	instanceVariableNames: ''!

!OomListener class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1998 NISHIHARA Satoshi'! !

!OomListener class methodsFor: 'copyright' stamp: 'nishis 11/14/1998 13:32'!
readme
	"I am an fake ValueHolder."

	"see useful messages below"
	"http://www.sra.co.jp/smalltalk/SML/mails/301-400/331.txt"
	"http://www.sra.co.jp/smalltalk/SML/mails/301-400/381.txt"! !

!OomListener class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomListener class methodsFor: 'copyright'!
version
	^'010'! !


!OomListener class methodsFor: 'instance creation' stamp: 'nishis 7/27/1998 08:08'!
with: initialValue
	^self new setValue: initialValue! !


!OomListener class methodsFor: 'examples' stamp: 'nishis 7/27/1998 17:03'!
example1
	"OomListener example1."

	| aListener |
	aListener := OomListener with: nil.
	aListener compute: [:v | Transcript cr; show: 'a = ', v printString].
	aListener value: 1.
	aListener value: 2.
	^aListener! !

!OomListener class methodsFor: 'examples' stamp: 'nishis 7/28/1998 23:43'!
example2
	"OomListener example2."

	| a b ab |
	a := OomListener with: 1.
	a compute: [:v | Transcript cr; show: 'a = ', v printString].
	a with: (OomListener with: 3) compute: [:v : c | Transcript cr; show: 'ac = ', (v * c) printString].
	b := OomListener with: 2.
	b compute: [:v | Transcript cr; show: 'b = ', v printString].
	ab := OomBlockListener block: [:va :vb | va * vb] arguments: (Array with: a with: b).
	ab compute: [:v | Transcript cr; show: 'ab = ', v printString].
	ab with: (OomListener with: 3) compute: [:v :c | Transcript cr; show: 'abc = ', (v * c) printString].""
	a value: 10.
	b value: 20.
	"a value: 20.
	b value: 30."
	"ab changed."
	^Array with: a with: b with: ab! !

!OomListener class methodsFor: 'examples' stamp: 'nishis 7/29/1998 00:52'!
example3
	"OomListener example3."

	| a b c d ab cd abcd |
	a := OomListener with: 1.
	a compute: [:v | Transcript cr; show: 'a = ', v printString].
	b := OomListener with: 1.
	b compute: [:v | Transcript cr; show: 'b = ', v printString].
	c := OomListener with: 1.
	c compute: [:v | Transcript cr; show: 'c = ', v printString].
	d := OomListener with: 1.
	d compute: [:v | Transcript cr; show: 'd = ', v printString].
	ab := OomBlockListener block: [:va :vb | va * vb] arguments: (Array with: a with: b).
	ab compute: [:v | Transcript cr; show: 'ab = ', v printString].
	cd := OomBlockListener block: [:vc :vd | vc * vd] arguments: (Array with: c with: d).
	cd compute: [:v | Transcript cr; show: 'cd = ', v printString].
	abcd := OomBlockListener block: [:vab :vcd | vab * vcd] arguments: (Array with: ab with: cd).
	abcd compute: [:v | Transcript cr; show: 'abcd = ', v printString].
	a value: 10.
	b value: 20.
	c value: 30.
	d value: 40.
	^abcd! !

!OomListener class methodsFor: 'examples' stamp: 'nishis 7/29/1998 01:02'!
example4
	"OomListener example4."

	| a b c |
	a := OomListener with: 0.
	b := a compute: [:v | Transcript cr; show: 'b = ', v printString].
	c := a compute: [:v | Transcript cr; show: 'c = ', v printString].
	b addDependent: c.
	c addDependent: b.
	a value: 1! !

!OomListener class methodsFor: 'examples' stamp: 'nishis 7/29/1998 03:15'!
example5
	"OomListener example5."

	| a b |
	a := OomListener with: 0.
	b := OomListener with: 0.
	a compute: 
		[:v | 
		Transcript cr; show: 'a = ', v printString.
		b value: v * 2].
	b compute: 
		[:v | 
		Transcript cr; show: 'b = ', v printString.
		a value: v * 2].
	a value: 1! !
