'Oom010 (11/18/2001 8:36:15 am)'.!


StandardSystemView subclass: #OomScheduledView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Oom-Interface-Display'!
!OomScheduledView commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1998 NISHIHARA Satoshi!


!OomScheduledView methodsFor: 'initialize-release'!
initialize
	super initialize.
	self backgroundColor: Color white! !


!OomScheduledView methodsFor: 'controller access'!
defaultControllerClass
	^OomScheduledController! !


!OomScheduledView methodsFor: 'displaying'!
cacheBitsAsTwoTone
	^false! !


!OomScheduledView methodsFor: 'deEmphasizing'!
deEmphasizeView
	super deEmphasizeView.
	(self isCollapsed not and: [self subViews isEmpty])
		ifTrue: [self clearInside]! !

!OomScheduledView methodsFor: 'deEmphasizing' stamp: 'nishis 11/12/1998 23:04'!
emphasizeView
	super emphasizeView.
	(self isCollapsed not and: [self subViews isEmpty])
		ifTrue: [self clearInside]! !


!OomScheduledView methodsFor: 'framing' stamp: 'nishis 11/12/1998 21:00'!
resizeTo: aRectangle
	"copied from StandardSystemView>>resizeTo:, and modified"
	"Resize this view to aRectangle"

	"First get scaling right inside borders"
	"self window: (self window insetBy: borderWidth)
		viewport: (aRectangle insetBy: borderWidth)."
	self window: self window viewport: aRectangle.

	"Then ensure window maps to aRectangle"
	window _ transformation applyInverseTo: aRectangle! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomScheduledView class
	instanceVariableNames: ''!

!OomScheduledView class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1998 NISHIHARA Satoshi'! !

!OomScheduledView class methodsFor: 'copyright' stamp: 'nishis 11/14/1998 13:41'!
readme
	"Originally written by Mr. AOKI Atsushi, modified by nishis."

	"ScheduledView."
	"Goodies-ScheduledVC, version 002."
	"Copyright (C) 1986-1998 AOKI Atsushi, All Rights Reserved."! !

!OomScheduledView class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomScheduledView class methodsFor: 'copyright'!
version
	^'010'! !


!OomScheduledView class methodsFor: 'instance creation'!
model: aModel label: aString minimumSize: aPoint
	| scheduledView |
	scheduledView := self new.
	scheduledView model: aModel.
	scheduledView label: aString.
	scheduledView minimumSize: aPoint.
	scheduledView borderWidth: 1.
	^scheduledView! !


!OomScheduledView class methodsFor: 'examples'!
example1
	"OomScheduledView example1."

	| topView |
	topView := OomScheduledView
		model: nil
		label: nil
		minimumSize: 300 @ 200.
	topView controller openIn: (100 @ 100 extent: topView minimumSize)! !

!OomScheduledView class methodsFor: 'examples'!
example2
	"OomScheduledView example2."

	| topView leftView rightView |
	topView := OomScheduledView
		model: nil
		label: nil
		minimumSize: 300 @ 200.
	leftView := View new.
	leftView borderWidth: 1.
	leftView backgroundColor: Color red.
	topView addSubView: leftView.
	rightView := View new.
	rightView borderWidth: 1.
	rightView backgroundColor: Color green.
	topView addSubView: rightView toRightOf: leftView.
	topView controller openIn: (100 @ 100 extent: topView minimumSize)! !

!OomScheduledView class methodsFor: 'examples'!
example3
	"OomScheduledView example3."

	| topView leftView rightView |
	topView := OomScheduledView
		model: nil
		label: nil
		minimumSize: 300 @ 200.
	leftView := View new.
	leftView borderWidth: 1.
	leftView backgroundColor: Color red.
	topView addSubView: leftView.
	rightView := View new.
	rightView borderWidth: 1.
	rightView backgroundColor: Color green.
	topView addSubView: rightView toRightOf: leftView.
	topView controller openAt: 100 @ 100! !
