'Oom010 (11/18/2001 8:36:18 am)'.!


OomScheduledController subclass: #OomAlteredScheduledController
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Oom-Interface-Display'!
!OomAlteredScheduledController commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1998 NISHIHARA Satoshi!


!OomAlteredScheduledController methodsFor: 'scheduling' stamp: 'nishis 11/14/1998 11:50'!
open
	| displayRectangle minimumExtent |
	view resizeInitially.
	view minimumSize isNil
		ifTrue: [view resizeTo: (view viewport origin extent: view superView minimumSize)]
		ifFalse:
			[minimumExtent := view minimumSize.
			displayRectangle := view viewport origin extent: minimumExtent - view labelOffset.
			view resizeTo: displayRectangle].
	status := #open.
	ScheduledControllers scheduleActive: self! !

!OomAlteredScheduledController methodsFor: 'scheduling' stamp: 'nishis 11/14/1998 11:51'!
openIn: aRectangle
	| displayRectangle minimumExtent |
	view minimumSize isNil
		ifTrue: [view resizeTo: aRectangle]
		ifFalse:
			[minimumExtent := view minimumSize max: aRectangle extent.
			displayRectangle := aRectangle origin extent: minimumExtent - view labelOffset.
			view resizeTo: displayRectangle].
	status := #open.
	ScheduledControllers scheduleActive: self! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomAlteredScheduledController class
	instanceVariableNames: ''!

!OomAlteredScheduledController class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1998 NISHIHARA Satoshi'! !

!OomAlteredScheduledController class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomAlteredScheduledController class methodsFor: 'copyright'!
version
	^'010'! !


!OomAlteredScheduledController class methodsFor: 'examples' stamp: 'nishis 5/15/98 23:36'!
example1
	"OomAlteredScheduledController example1."

	| topView |
	topView := OomAlteredScheduledView
		model: nil
		label: nil
		minimumSize: 200 @ 200.
	topView controller openIn: Rectangle fromUser! !

!OomAlteredScheduledController class methodsFor: 'examples' stamp: 'nishis 5/15/98 23:25'!
example2
	"OomAlteredScheduledController example2."

	| topView subView |
	topView := OomAlteredScheduledView
		model: nil
		label: nil
		minimumSize: 200 @ 200.
	subView := View new.
	subView borderWidth: 1.
	subView backgroundColor: Color white.
	topView addSubView: subView.
	topView controller openIn: Rectangle fromUser! !

!OomAlteredScheduledController class methodsFor: 'examples' stamp: 'nishis 5/15/98 23:25'!
example3
	"OomAlteredScheduledController example3."

	| topView subView |
	topView := OomAlteredScheduledView
		model: nil
		label: nil
		minimumSize: 200 @ 200
		maximumSize: 200 @ 200.
	subView := View new.
	subView borderWidth: 1.
	subView backgroundColor: Color white.
	topView addSubView: subView.
	topView controller openAt: 100 @ 100! !

!OomAlteredScheduledController class methodsFor: 'examples' stamp: 'nishis 5/15/98 23:34'!
example4
	"OomAlteredScheduledController example4."

	| topView subView |
	topView := OomAlteredScheduledView
		model: nil
		label: nil
		minimumSize: 200 @ 200
		maximumSize: 200 @ 200.
	subView := View new.
	subView borderWidth: 1.
	subView backgroundColor: Color white.
	topView addSubView: subView.
	topView controller open! !
