'Oom010 (11/18/2001 8:36:04 am)'.!


PluggableListViewOfMany subclass: #OomMultiSelectionInListView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Oom-Pluggable-Support'!
!OomMultiSelectionInListView commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1998 NISHIHARA Satoshi!


!OomMultiSelectionInListView methodsFor: 'initialization' stamp: 'nishis 7/25/1998 01:37'!
on: anObject list: getListSel selected: getSelectionSel changeSelected: setSelectionSel menu: getMenuSel keystroke: keyActionSel
	super 
		on: anObject 
		list: getListSel 
		selected: getSelectionSel 
		changeSelected: setSelectionSel 
		menu: getMenuSel 
		keystroke: keyActionSel.
	self controller performer: model! !


!OomMultiSelectionInListView methodsFor: 'controller access' stamp: 'nishis 11/14/1998 12:57'!
defaultControllerClass 
	^OomMultiSelectionInListController! !


!OomMultiSelectionInListView methodsFor: 'displaying' stamp: 'nishis 11/14/1998 12:57'!
displaySelectionBox
	"copied from ListView>>displaySelectionBox, and modified"

	"If the receiver has a selection and that selection is visible on the display 
	screen, then highlight it."
	ScheduledControllers activeController view = self topView 
		ifTrue: 
			[super displaySelectionBox]! !

!OomMultiSelectionInListView methodsFor: 'displaying' stamp: 'nishis 11/14/1998 12:57'!
displayView 
	| visibleAreas |
	visibleAreas := self visibleAreas.
	visibleAreas 
		do: 
			[:rectangle | 
			self backgroundColor notNil 
				ifTrue: [Display fill: rectangle fillColor: self backgroundColor].
			list 
				foregroundColor: self foregroundColor
				backgroundColor: self backgroundColor.
			list
				displayOn: Display
				at: list compositionRectangle topLeft
				clippingBox: rectangle]! !


!OomMultiSelectionInListView methodsFor: 'updating' stamp: 'nishis 11/14/1998 12:56'!
update: aspectSymbol 
	self controller valueChangeHolder value.
	super update: aspectSymbol! !


!OomMultiSelectionInListView methodsFor: 'private' stamp: 'nishis 11/7/1998 03:10'!
visibleAreas
	| visibleAreas aRectangle outsides myTopController |
	visibleAreas := Array with: self insetDisplayBox.
	self topView notNil 
		ifTrue: [myTopController := self topView controller]
		ifFalse: [myTopController := self controller].
	(myTopController isKindOf: ModalController) 
		ifTrue: [^visibleAreas].
	(myTopController view class canUnderstand: #uncacheBits) 
		ifTrue: [myTopController view uncacheBits].
	ScheduledControllers scheduledWindowControllers 
		do:
			[:aControllers | 
			aControllers == myTopController ifTrue: [^visibleAreas].
			aRectangle := aControllers view windowBox.
			outsides := OrderedCollection new.
			visibleAreas 
				do: 
					[:area | 
					outsides addAll: (area areasOutside: aRectangle)].
			visibleAreas := outsides].
	^visibleAreas! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomMultiSelectionInListView class
	instanceVariableNames: ''!

!OomMultiSelectionInListView class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1998 NISHIHARA Satoshi'! !

!OomMultiSelectionInListView class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomMultiSelectionInListView class methodsFor: 'copyright'!
version
	^'010'! !


!OomMultiSelectionInListView class methodsFor: 'instance creation' stamp: 'nishis 7/25/1998 01:36'!
on: anObject list: getListSel selected: getSelectionSel changeSelected: setSelectionSel menu: menuSymbol
	^self new
		on: anObject 
		list: getListSel
		selected: getSelectionSel 
		changeSelected: setSelectionSel
		menu: menuSymbol
		keystroke: #arrowKey:from:! !

!OomMultiSelectionInListView class methodsFor: 'instance creation' stamp: 'nishis 7/25/1998 01:11'!
on: anObject menu: menuSymbol
	^self
		on: anObject 
		list: #list
		selected: #listIndex  
		changeSelected: #toggleListIndex:
		menu: menuSymbol
		keystroke: #arrowKey:from:! !
