'Oom010 (11/18/2001 8:36:12 am)'.!


View subclass: #OomDisplayView
	instanceVariableNames: 'scrollAmount '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Oom-Interface-Display'!
!OomDisplayView commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi!


!OomDisplayView methodsFor: 'controller access'!
defaultControllerClass
	^OomDisplayController! !


!OomDisplayView methodsFor: 'displaying' stamp: 'nishis 8/1/1998 04:22'!
displayView
	self model
		displayOn: Display
		at: self insetDisplayBox origin - self scrollAmount
		clippingBox: self insetDisplayBox! !


!OomDisplayView methodsFor: 'scrolling'!
scrollAmount
	scrollAmount isNil ifTrue: [scrollAmount := 0 @ 0].
	^scrollAmount! !

!OomDisplayView methodsFor: 'scrolling'!
scrollAmount: aPoint
	scrollAmount := aPoint.
	scrollAmount := scrollAmount max: self scrollingRectangle origin.
	scrollAmount := scrollAmount min: self scrollingRectangle corner! !

!OomDisplayView methodsFor: 'scrolling'!
scrollTo: aPoint
	self scrollAmount = aPoint
		ifFalse:
			[self scrollAmount: aPoint.
			self display]! !


!OomDisplayView methodsFor: 'updating'!
update: aParameter 
	self clearInside.
	self display! !


!OomDisplayView methodsFor: 'private' stamp: 'nishis 8/18/1998 13:20'!
boundingRectangle
	^0 @ 0 extent: (self model boundingBox extent max: 1 @ 1)! !

!OomDisplayView methodsFor: 'private'!
scrollingRectangle
	| width height |
	self boundingRectangle width > self viewingRectangle width
		ifTrue: [width := self boundingRectangle width - self viewingRectangle width]
		ifFalse: [width := 0].
	self boundingRectangle height > self viewingRectangle height
		ifTrue: [height := self boundingRectangle height - self viewingRectangle height]
		ifFalse: [height := 0].
	^0 @ 0 extent: width @ height! !

!OomDisplayView methodsFor: 'private'!
viewingRectangle
	^self scrollAmount extent: self insetDisplayBox extent! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomDisplayView class
	instanceVariableNames: ''!

!OomDisplayView class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi'! !

!OomDisplayView class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomDisplayView class methodsFor: 'copyright'!
version
	^'010'! !


!OomDisplayView class methodsFor: 'instance creation'!
model: displayModel
	| displayView |
	displayView := self new.
	displayView model: displayModel.
	displayView borderWidth: 1.
	^displayView! !

!OomDisplayView class methodsFor: 'instance creation' stamp: 'nishis 8/12/1998 02:54'!
show: displayObject
	^(OomDisplayModel visual: displayObject) show! !
