'Oom010 (11/18/2001 8:36:13 am)'.!


OomController subclass: #OomHistogramController
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Oom-Interface-Histogram'!
!OomHistogramController commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi!


!OomHistogramController methodsFor: 'basic control sequence'!
controlTerminate
	Cursor normal show! !


!OomHistogramController methodsFor: 'control defaults' stamp: 'nishis 7/18/1998 14:06'!
controlActivity
"	| cursorPoint |
	cursorPoint _ Sensor cursorPoint.
	super controlActivity.
	cursorPoint = Sensor cursorPoint
	ifTrue:["	(Sensor redButtonPressed and: [self viewHasCursor])
		ifTrue: [^self redButtonActivity].
	(Sensor yellowButtonPressed and: [self viewHasCursor])
		ifTrue: [^self yellowButtonActivity].
	self idleActivity"]"! !

!OomHistogramController methodsFor: 'control defaults' stamp: 'nishis 7/18/1998 16:19'!
idleActivity
	| boxes point cursor |
	(boxes := view boxCollection) isNil ifTrue: [^self].
	cursor := Cursor currentCursor.
	point := Sensor cursorPoint - view insetDisplayBox topLeft.
	(boxes findFirst: [:box | box containsPoint: point])
		> 0
		ifTrue: [cursor = Cursor crossHair ifFalse: [Cursor crossHair show]]
		ifFalse: [cursor = Cursor normal ifFalse: [Cursor normal show]]! !

!OomHistogramController methodsFor: 'control defaults' stamp: 'nishis 5/23/98 05:44'!
redButtonActivity
	| boxes point sections |
	(boxes := view boxCollection) isNil ifTrue: [^self].
	point := Sensor cursorPoint - view insetDisplayBox topLeft.
	[Sensor redButtonPressed]
		whileTrue: 
			[point := Sensor cursorPoint - view insetDisplayBox topLeft.
			self idleActivity].
	sections := self model sections.
	1 to: boxes size do: [:index | (((boxes at: index)
			containsPoint: point)
			and: [index <= sections size])
			ifTrue: 
				[self controlTerminate.
				^self model showItems: (sections at: index)]].
	^nil! !

!OomHistogramController methodsFor: 'control defaults' stamp: 'nishis 7/25/1998 02:06'!
yellowButtonActivity
	| menu selector |
	(menu := self model yellowButtonMenu) isNil ifTrue: [^self].
	self controlTerminate.
	selector := menu startUp.
	(selector isNil or: [selector = 0])
		ifFalse: [self model perform: selector].
	self controlInitialize! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomHistogramController class
	instanceVariableNames: ''!

!OomHistogramController class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi'! !

!OomHistogramController class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomHistogramController class methodsFor: 'copyright'!
version
	^'010'! !
