'Oom010 (11/18/2001 8:36:13 am)'.!


OomAbstractModel subclass: #OomClassSelector
	instanceVariableNames: 'allClassNames classNames wildCard candidateList choiceList inputField addButton removeButton '
	classVariableNames: 'CandidateMenu ChoiceMenu InputFieldMenu '
	poolDictionaries: ''
	category: 'Oom-Metrics-Support'!
!OomClassSelector commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi!


!OomClassSelector methodsFor: 'initialize-release' stamp: 'nishis 7/21/1998 05:38'!
initialize
	self inputField! !


!OomClassSelector methodsFor: 'accessing' stamp: 'nishis 7/19/1998 12:40'!
allClassNames
	| classes collection |
	allClassNames isNil ifTrue: [Cursor wait
			showWhile: 
				[classes := OomMetricAbstract allClasses.
				collection := SortedCollection new: classes size.
				classes do: [:each | collection add: each name].
				allClassNames := collection asOrderedCollection]].
	^allClassNames! !

!OomClassSelector methodsFor: 'accessing' stamp: 'nishis 7/19/1998 12:42'!
candidateNames
	| collection candidates pattern |
	candidates := self allClassNames.
	pattern := self wildCard.
	((pattern isNil or: [pattern isEmpty]) or: [pattern = '*'])
		ifTrue: [collection := candidates copy]
		ifFalse: [Cursor execute
				showWhile: 
					[collection := OrderedCollection new: candidates size.
					candidates do: [:each | (self stringMatch: each and: pattern)
							ifTrue: [collection add: each]]]].
	self classNames do: [:each | collection remove: each ifAbsent: [nil]].
	^collection! !

!OomClassSelector methodsFor: 'accessing' stamp: 'nishis 7/19/1998 12:41'!
classNames
	| collection |
	classNames isNil
		ifTrue: 
			[collection := SortedCollection new.
			classNames := collection].
	^classNames! !

!OomClassSelector methodsFor: 'accessing' stamp: 'nishis 11/7/1998 00:35'!
classNames: classNameCollection 
	| collection |
	collection := SortedCollection new.
	collection addAll: classNameCollection.
	self candidateList selections: collection.
	self addCandidate! !

!OomClassSelector methodsFor: 'accessing' stamp: 'nishis 7/19/1998 12:42'!
wildCard
	| pattern |
	wildCard isNil
		ifTrue: 
			[pattern := String fromString: '*'.
			wildCard := pattern].
	^wildCard! !


!OomClassSelector methodsFor: 'candidate list' stamp: 'nishis 11/7/1998 00:51'!
candidateList
	| collection |
	candidateList isNil
		ifTrue: 
			[collection := self candidateNames.
			candidateList := OomMultiSelectionInList with: collection].
	^candidateList! !

!OomClassSelector methodsFor: 'candidate list' stamp: 'nishis 11/14/1998 12:29'!
candidateListChange
	addButton isNil ifTrue: [^nil].
	self candidateList selections isEmpty
		ifTrue: [addButton isEnabled: false]
		ifFalse: [addButton isEnabled: true]! !

!OomClassSelector methodsFor: 'candidate list' stamp: 'nishis 7/26/1998 02:55'!
candidateListChangeHolder
	^[self candidateListChange]! !

!OomClassSelector methodsFor: 'candidate list' stamp: 'nishis 11/14/1998 12:29'!
candidateListView
	self candidateList dependents 
		do: [:dependent | (dependent isKindOf: View) ifTrue: [^dependent]].
	^nil! !

!OomClassSelector methodsFor: 'candidate list' stamp: 'nishis 10/20/1998 22:48'!
candidateMenu
	"OomClassSelector flushMenus."

	| collection |
	CandidateMenu isNil
		ifTrue: 
			[collection := OrderedCollection new.
			collection add: 'select all' -> #selectAllCandidate.
			collection add: 'select all subclasses' -> #selectAllSubclasses.
			collection add: 'deselect all' -> #deselectAllCandidate.
			collection add: nil.
			"collection add: 'compliant' -> #compliantCandidate.
			collection add: 'simple' -> #simpleCandidate.
			collection add: nil."
			collection add: 'add' -> #addCandidate.
			collection add: 'add all subclasses' -> #addAllSubclasses.
			collection add: nil.
			collection add: 'update' -> #updateAll.
			CandidateMenu := OomMenuMaker fromCollection: collection].
	^CandidateMenu! !

!OomClassSelector methodsFor: 'candidate list' stamp: 'nishis 7/19/1998 12:45'!
candidateMenuHolder
	^[self candidateMenu]! !


!OomClassSelector methodsFor: 'choice list' stamp: 'nishis 7/25/1998 01:20'!
choiceList
	| collection |
	choiceList isNil
		ifTrue: 
			[collection := self classNames copy.
			choiceList := OomMultiSelectionInList with: collection].
	^choiceList! !

!OomClassSelector methodsFor: 'choice list' stamp: 'nishis 11/14/1998 12:29'!
choiceListChange
	removeButton isNil ifTrue: [^nil].
	self choiceList selections isEmpty
		ifTrue: [removeButton isEnabled: false]
		ifFalse: [removeButton isEnabled: true]! !

!OomClassSelector methodsFor: 'choice list' stamp: 'nishis 7/26/1998 02:55'!
choiceListChangeHolder
	^[self choiceListChange]! !

!OomClassSelector methodsFor: 'choice list' stamp: 'nishis 11/14/1998 12:29'!
choiceListView
	self choiceList dependents 
		do: [:dependent | (dependent isKindOf: View) ifTrue: [^dependent]].
	^nil! !

!OomClassSelector methodsFor: 'choice list' stamp: 'nishis 10/20/1998 22:48'!
choiceMenu
	"OomClassSelector flushMenus."

	| collection |
	ChoiceMenu isNil
		ifTrue: 
			[collection := OrderedCollection new.
			collection add: 'select all' -> #selectAllChoice.
			collection add: 'deselect all' -> #deselectAllChoice.
			collection add: nil.
			"collection add: 'compliant' -> #compliantChoice.
			collection add: 'simple' -> #simpleChoice.
			collection add: nil."
			collection add: 'remove' -> #removeChoice.
			ChoiceMenu := OomMenuMaker fromCollection: collection].
	^ChoiceMenu! !

!OomClassSelector methodsFor: 'choice list' stamp: 'nishis 7/19/1998 12:46'!
choiceMenuHolder
	^[self choiceMenu]! !


!OomClassSelector methodsFor: 'input field' stamp: 'nishis 7/24/1998 13:12'!
inputField
	inputField isNil ifTrue: [inputField := (OomPluggableStringHolderModel new) contents: self wildCard copy].
	^inputField! !

!OomClassSelector methodsFor: 'input field' stamp: 'nishis 11/13/1998 18:35'!
inputFieldChange: aController 
	| selections |
	self wildCard = self inputField contents
		ifFalse: 
			[wildCard := self inputField contents.
			selections := self candidateList selections.
			self candidateList list: self candidateNames.
			selections := selections select: [:each | self candidateList list includes: each].
			self candidateList selections: selections.
			self candidateListChange]! !

!OomClassSelector methodsFor: 'input field' stamp: 'nishis 7/24/1998 17:58'!
inputFieldMenu
	"OomClassSelector flushMenus."

	| collection |
	InputFieldMenu isNil
		ifTrue: 
			[collection := OrderedCollection new.
			collection add: 'find...' -> #find.
			collection add: 'find again' -> #findAgain.
			collection add: 'set search string' -> #setSearchString.
			collection add: nil.
			collection add: 'do again' -> #again.
			collection add: 'undo' -> #undo.
			collection add: nil.
			collection add: 'copy' -> #copySelection.
			collection add: 'cut' -> #cut.
			collection add: 'paste' -> #paste.
			collection add: nil.
			collection add: 'do it' -> #doIt.
			collection add: 'print it' -> #printIt.
			collection add: 'inspect it' -> #inspectIt.
			collection add: nil.
			collection add: 'accept' -> #accept.
			collection add: 'cancel' -> #cancel.
			InputFieldMenu := OomMenuMaker fromCollection: collection].
	^InputFieldMenu! !

!OomClassSelector methodsFor: 'input field' stamp: 'nishis 7/24/1998 19:14'!
inputFieldMenuHolder
	^[self inputFieldMenu]! !


!OomClassSelector methodsFor: 'menu messages' stamp: 'nishis 7/19/1998 12:47'!
addAllSubclasses
	self selectAllSubclasses.
	self addCandidate! !

!OomClassSelector methodsFor: 'menu messages' stamp: 'nishis 11/7/1998 00:51'!
addCandidate
	| selections |
	(selections := self candidateList selections) isEmpty ifTrue: [^self].
	selections := selections select: [:each | self allClassNames includes: each].
	self classNames addAll: selections.
	self choiceList list: self classNames copy.
	self choiceList selections: selections.
	self choiceListChange.
	self candidateList list: self candidateNames.
	self candidateListChange.
	self class cache: self classNames copy! !

!OomClassSelector methodsFor: 'menu messages' stamp: 'nishis 7/26/1998 03:00'!
compliantCandidate
	| view controller |
	(view := self candidateListView) isNil ifTrue: [^self].
	view controller class = PluggableListControllerOfMany ifTrue: [^self].
	controller := PluggableListControllerOfMany new.
	view controller: controller! !

!OomClassSelector methodsFor: 'menu messages' stamp: 'nishis 7/26/1998 03:00'!
compliantChoice
	| view controller |
	(view := self choiceListView) isNil ifTrue: [^self].
	view controller class = PluggableListControllerOfMany ifTrue: [^self].
	controller := PluggableListControllerOfMany new.
	view controller: controller
! !

!OomClassSelector methodsFor: 'menu messages' stamp: 'nishis 7/19/1998 12:48'!
deselectAllCandidate
	self candidateList selections: SortedCollection new.
	self candidateListChange! !

!OomClassSelector methodsFor: 'menu messages' stamp: 'nishis 7/19/1998 12:48'!
deselectAllChoice
	self choiceList selections: SortedCollection new.
	self choiceListChange! !

!OomClassSelector methodsFor: 'menu messages' stamp: 'nishis 7/22/1998 22:15'!
removeChoice
	| selections |
	(selections := self choiceList selections) isEmpty ifTrue: [^self].
	self classNames removeAll: selections.
	self choiceList list: self classNames copy.
	self choiceListChange.
	self candidateList list: self candidateNames.
	self candidateList selections: selections.
	self candidateListChange.
	self class cache: self classNames copy! !

!OomClassSelector methodsFor: 'menu messages' stamp: 'nishis 7/19/1998 12:48'!
selectAllCandidate
	self candidateList selections: self candidateList list copy.
	self candidateListChange! !

!OomClassSelector methodsFor: 'menu messages' stamp: 'nishis 7/19/1998 12:48'!
selectAllChoice
	self choiceList selections: self choiceList list copy.
	self choiceListChange! !

!OomClassSelector methodsFor: 'menu messages' stamp: 'nishs 1/15/1999 00:10'!
selectAllSubclasses
	| answer collection target |
	answer := FillInTheBlank request: 'Please enter a class name' , Character cr asString, '(wild card *?[-] are allowed)' initialAnswer: String new.
	(answer isNil or: [answer isEmpty])
		ifTrue: [^self].
	collection := OrderedCollection new.
	self candidateNames do: [:each | (self stringMatch: each asString and: answer)
			ifTrue: [collection add: each]].
	collection isEmpty
		ifTrue: 
			[SelectionMenu notify: 'No matching class'.
			^self].
	collection size > 1
		ifTrue: 
			[collection := collection asSortedCollection asArray.
			target := OomFakeDialog
						model: self 
						choose: 'Which of these classes do you select?'
						fromList: collection
						values: collection
						lines: 10
						cancel: [nil].
			target isNil ifTrue: [^self]]
		ifFalse: [target := collection first].
	collection := (Smalltalk at: target) withAllSubclasses collect: [:each | each name].
	collection := collection select: [:each | (self choiceList selections includes: each) not].
	self candidateList selections: collection.
	self candidateListChange! !

!OomClassSelector methodsFor: 'menu messages' stamp: 'nishis 7/22/1998 22:16'!
showItem: target
	| collection |
	collection := (Smalltalk at: target) withAllSubclasses collect: [:each | each name].
	collection := collection select: [:each | (self choiceList selections includes: each) not].
	self candidateList selections: collection.
	self candidateListChange! !

!OomClassSelector methodsFor: 'menu messages' stamp: 'nishis 7/19/1998 12:51'!
updateAll
	| selections |
	allClassNames := nil.
	selections := self candidateList selections.
	self candidateList list: self candidateNames.
	self candidateList selections: selections.
	self candidateListChange.
	classNames := classNames select: [:each | self allClassNames includes: each].
	selections := self choiceList selections.
	self choiceList list: self classNames copy.
	self choiceList selections: selections.
	self choiceListChange! !


!OomClassSelector methodsFor: 'interface opening' stamp: 'nishis 11/14/1998 20:30'!
createButtonView
	| addButtonView removeButtonView topView |
	addButton := OomPushButtonModel
				visual: 'add' 
				action: [self addCandidate].
	addButtonView := OomPushButtonView new.
	addButtonView model: addButton.
	addButtonView
			borderWidth: 1;
			window: (0@0 extent: 100 @ 24).

	removeButton := OomPushButtonModel
				visual: ('remove' asText allBold asParagraph foregroundColor: Color red backgroundColor: Color white)
				action: [self removeChoice].
	removeButtonView := OomPushButtonView new.
	removeButtonView model: removeButton.
	removeButtonView
			borderWidth: 1;
			window: (0@0 extent: 100 @ 24).
	topView := View new.
	topView window: (0 @ 0 extent: 200 @ 24).
	topView addSubView: addButtonView.
	topView addSubView: removeButtonView toRightOf: addButtonView.
	^topView! !

!OomClassSelector methodsFor: 'interface opening' stamp: 'nishis 11/14/1998 12:31'!
createCandidateListView
	| classListView |
	classListView := OomMultiSelectionInListView 
			on: self candidateList 
			menu: #menu:.
	classListView controller menuHolder: self candidateMenuHolder.
	classListView controller performer: self.
	classListView controller valueChangeHolder: self candidateListChangeHolder.
	^classListView! !

!OomClassSelector methodsFor: 'interface opening' stamp: 'nishis 11/14/1998 12:31'!
createChoiceListView
	| choiceListView |
	choiceListView := OomMultiSelectionInListView 
			on: self choiceList 
			menu: #menu:.
	choiceListView controller menuHolder: self choiceMenuHolder.
	choiceListView controller performer: self.
	choiceListView controller valueChangeHolder: self choiceListChangeHolder.
	^choiceListView! !

!OomClassSelector methodsFor: 'interface opening' stamp: 'nishis 11/14/1998 12:31'!
createClassListView
	| classListView |
	classListView := OomMultiSelectionInListView 
			on: self candidateList 
			list: #list 
			selected: #listIndex 
			changeSelected: #toggleListIndex: 
			menu: #menu:.
	classListView controller menuHolder: self candidateMenuHolder.
	classListView controller performer: self.
	^classListView! !

!OomClassSelector methodsFor: 'interface opening' stamp: 'nishis 11/14/1998 12:31'!
createSelectedListView
	| classListView |
	classListView := PluggableListViewOfMany 
			on: self choiceList 
			list: #list 
			selected: #listIndex 
			changeSelected: #toggleListIndex: 
			menu: #menu:.
	^classListView! !

!OomClassSelector methodsFor: 'interface opening' stamp: 'nishis 11/14/1998 12:31'!
createTextView
	| inputView |
	inputView := OomPluggableStringHolderView 
			on: self inputField 
			aspect: #contents 
			change: #inputFieldChange: 
			menu: #menu.
	inputView controller menuHolder: self inputFieldMenuHolder.
	inputView controller performer: self.
	^inputView! !

!OomClassSelector methodsFor: 'interface opening' stamp: 'nishis 11/14/1998 20:31'!
open
	"OomClassSelector new open."

	| topView buttonView textView candidateListView choiceListView |
	topView := OomScheduledView
			model: self 
			label: 'Class Sellector' 
			minimumSize: 300 @ 210.
	topView borderWidth: 1.

	textView := self createTextView.
	textView window: (0 @ 0 extent: 100 @ 24).
	textView borderWidth: 1.
	topView addSubView: textView.

	buttonView := self createButtonView.
	buttonView window: (0 @ 0 extent: 200 @ 24).
	topView addSubView: buttonView toRightOf: textView.

	candidateListView := self createCandidateListView.
	candidateListView window: (0 @ 0 extent: 150 @ 186).
	topView addSubView: candidateListView below: textView.

	choiceListView := self createChoiceListView.
	choiceListView window: (0 @ 0 extent: 150 @ 186).
	topView addSubView: choiceListView toRightOf: candidateListView.

	self postBuildWith: topView.
	self postOpenWith: self.
	OomUtilities openReframe: topView! !

!OomClassSelector methodsFor: 'interface opening' stamp: 'nishis 7/19/1998 12:51'!
postOpenWith: aBuilder 
	self candidateListChange.
	self choiceListChange! !


!OomClassSelector methodsFor: 'private' stamp: 'nishis 7/21/1998 04:31'!
getState
	^true! !

!OomClassSelector methodsFor: 'private' stamp: 'nishis 7/21/1998 03:13'!
stringMatch: string and: pattern 
	"OomClassCollector new stringMatch: 'Jun Aoki' and: 'Ju*[A-B]?ki'."
	"OomClassSelector new stringMatch: 'Jun Aoki' and: 'Ju*[A-B]?ki'."

	^OomMetricAbstract new stringMatch: string and: pattern! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomClassSelector class
	instanceVariableNames: 'cache '!

!OomClassSelector class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi'! !

!OomClassSelector class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomClassSelector class methodsFor: 'copyright'!
version
	^'010'! !


!OomClassSelector class methodsFor: 'class initialization' stamp: 'nishis 7/25/1998 00:34'!
flushMenus
	"OomClassSelector flushMenus."

	CandidateMenu := nil.
	ChoiceMenu := nil.
	InputFieldMenu := nil! !


!OomClassSelector class methodsFor: 'instance creation' stamp: 'nishis 7/21/1998 06:10'!
new
	^super new initialize! !

!OomClassSelector class methodsFor: 'instance creation' stamp: 'nishis 7/21/1998 06:12'!
open
	self new open! !


!OomClassSelector class methodsFor: 'accessing' stamp: 'nishis 7/19/1998 12:53'!
cache
	^cache! !

!OomClassSelector class methodsFor: 'accessing' stamp: 'nishis 7/19/1998 12:53'!
cache: classNames 
	cache := classNames! !


!OomClassSelector class methodsFor: 'examples' stamp: 'nishis 7/19/1998 12:53'!
example1
	"OomClassSelector example1."

	| classSelector |
	classSelector := OomClassSelector new.
	classSelector open.
	^classSelector! !

!OomClassSelector class methodsFor: 'examples' stamp: 'nishis 7/24/1998 22:00'!
example2
	"OomClassSelector example2."

	| classNames classSelector |
	classNames := Magnitude withAllSubclasses collect: [:each | each name].
	classSelector := OomClassSelector new.
	classSelector classNames: classNames.
	classSelector open.
	^classSelector! !
