'Oom010 (11/18/2001 8:36:17 am)'.!


OomButtonModel subclass: #OomPushButtonModel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Oom-Pluggable-Support'!
!OomPushButtonModel commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1998 NISHIHARA Satoshi!


!OomPushButtonModel methodsFor: 'accessing' stamp: 'nishis 7/26/1998 03:15'!
value: aBoolean 
	super value: false.
	self changed: #value! !


!OomPushButtonModel methodsFor: 'interface opening' stamp: 'nishis 7/26/1998 03:09'!
createButtonView
	| view |
	view := OomPushButtonView new.
	view model: self.
	^view! !

!OomPushButtonModel methodsFor: 'interface opening' stamp: 'nishis 7/26/1998 03:11'!
open
	| topView leftView |
	topView := OomAlteredScheduledView
		model: self
		label: 'Push Button'
		minimumSize: (100 @ 100) + 0
		maximumSize: (100 @ 100) + 0.
	leftView := self createButtonView.
	topView addSubView: leftView.
	topView borderWidth: 2.
	topView controller openAt: 100 @ 100! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomPushButtonModel class
	instanceVariableNames: ''!

!OomPushButtonModel class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1998 NISHIHARA Satoshi'! !

!OomPushButtonModel class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomPushButtonModel class methodsFor: 'copyright'!
version
	^'010'! !


!OomPushButtonModel class methodsFor: 'instance creation' stamp: 'nishis 7/26/1998 03:14'!
value: aBoolean visual: anObject 
	^self visual: anObject action: []! !

!OomPushButtonModel class methodsFor: 'instance creation' stamp: 'nishis 7/26/1998 03:14'!
value: aBoolean visual: anObject action: aBlock 
	^self visual: anObject action: aBlock! !

!OomPushButtonModel class methodsFor: 'instance creation' stamp: 'nishis 7/25/1998 23:48'!
visual: anObject action: aBlock 
	| buttonModel |
	buttonModel := self new.
	buttonModel value: false.
	buttonModel visual: anObject.
	buttonModel action: aBlock.
	^buttonModel! !


!OomPushButtonModel class methodsFor: 'examples' stamp: 'nishis 7/26/1998 03:15'!
example1
	"OomPushButtonModel example1."

	| buttonModel |
	buttonModel := OomPushButtonModel
				value: false
				visual: 'Aoki' asText allBold
				action: [:model | model value: model value not. Transcript show: model value printString].
	buttonModel open.
	^buttonModel! !

!OomPushButtonModel class methodsFor: 'examples' stamp: 'nishis 7/26/1998 03:18'!
example2
	"OomPushButtonModel example2."

	| buttonModel |
	buttonModel := OomPushButtonModel
				value: true
				visual: Cursor execute 
				action: [:model | model value: model value not. Transcript show: model value printString].
	buttonModel open.
	^buttonModel! !

!OomPushButtonModel class methodsFor: 'examples' stamp: 'nishis 7/26/1998 03:19'!
example3
	"OomPushButtonModel example3."

	| buttonModel |
	buttonModel := OomPushButtonModel
				visual: Form fromUser
				action: [:model | model value: model value not].
	buttonModel repeatAction: true.
	buttonModel open.
	^buttonModel! !
