'Oom010 (11/18/2001 8:36:17 am)'.!


Object subclass: #OomUtilities
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Oom-System-Support'!
!OomUtilities commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1998 NISHIHARA Satoshi!


"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomUtilities class
	instanceVariableNames: 'useFrame '!

!OomUtilities class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1998 NISHIHARA Satoshi'! !

!OomUtilities class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomUtilities class methodsFor: 'copyright'!
version
	^'010'! !


!OomUtilities class methodsFor: 'class initialization' stamp: 'nishis 11/10/1998 06:09'!
install
	"OomUtilities install."

	useFrame := true! !


!OomUtilities class methodsFor: 'formatting' stamp: 'nishis 11/10/1998 04:11'!
asFloat: number decimalCount: positiveInteger 
	"OomUtilities asFloat: 0.0456 decimalCount: 2."
	"OomUtilities asFloat: 10.0456 decimalCount: 12."
	"OomUtilities asFloat: 0.1 decimalCount: 12."
	"OomUtilities asFloat: 0 decimalCount: 12."
	"OomUtilities asFloat: 0.48 decimalCount: 0."
	"OomUtilities asFloat: -1/3 decimalCount: 9."

	| decimalString numberString count tokens initialIntegerString |
	positiveInteger rounded < 1 ifTrue: [^number rounded asString].
	count := positiveInteger asInteger.
	decimalString := count = 1 
			ifTrue: ['0.1']
			ifFalse: ['0.' ,  (String new: count - 1 withAll: $0) , '1'].
	numberString := (number roundTo: decimalString asNumber) asString.
	tokens := numberString findTokens: (Array with: $.).
	initialIntegerString := tokens first.
	tokens size > 1 
		ifTrue: [numberString := tokens second]
		ifFalse: [numberString := '0'].
	numberString := numberString padded: #right to: (numberString size max: count) with: $0.
	^initialIntegerString , '.' , numberString! !


!OomUtilities class methodsFor: 'frame accessing' stamp: 'nishis 11/10/1998 06:10'!
useFrame
	(useFrame isNil or: [(useFrame isKindOf: Boolean) not]) ifTrue: [useFrame := true].
	^useFrame! !

!OomUtilities class methodsFor: 'frame accessing' stamp: 'nishis 11/10/1998 06:10'!
useFrame: aBoolean
	"OomUtilities useFrame: false."

	(aBoolean isKindOf: Boolean) 
		ifTrue: [useFrame := aBoolean].
	^useFrame! !


!OomUtilities class methodsFor: 'framing' stamp: 'nishis 11/11/1998 01:49'!
openReframe: aStandardSystemView 
	| newFrame |
	((aStandardSystemView isKindOf: StandardSystemView) not or: [self useFrame not]) 
		ifTrue: [^aStandardSystemView controller open].
	newFrame := aStandardSystemView getFrame.
	aStandardSystemView resizeTo: (newFrame topLeft + aStandardSystemView labelOffset extent: newFrame extent).
	aStandardSystemView controller status: #open.
	ScheduledControllers scheduleActive: aStandardSystemView controller! !
