'Oom010 (11/18/2001 8:36:17 am)'.!


OomDisplayModel subclass: #OomLauncher
	instanceVariableNames: ''
	classVariableNames: 'LauncherMenu '
	poolDictionaries: ''
	category: 'Oom-System-Support'!
!OomLauncher commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi!


!OomLauncher methodsFor: 'accessing' stamp: 'nishis 11/15/1998 00:55'!
visual
	| image pixmap gc |
	displayObject isNil 
		ifTrue: 
			[image := (Display depth > 8) 
				ifTrue: [OomSystem logoImage32] 
				ifFalse: [OomSystem logoImage].
			pixmap := Form extent: 170 @ 97 depth: image depth.
			pixmap fillWhite.
			gc := pixmap.
			image displayOn: gc at: pixmap boundingBox center - image boundingBox center.
			displayObject := pixmap].
	^displayObject! !


!OomLauncher methodsFor: 'interface opening' stamp: 'nishis 7/25/1998 05:13'!
createDisplayView
	| aView |
	aView := OomDisplayView new.
	aView model: self.
	aView controller: OomController new.
	aView controller menuHolder: [self yellowButtonMenu].
	aView controller performer: self.
	^aView! !

!OomLauncher methodsFor: 'interface opening' stamp: 'nishis 11/9/1998 08:50'!
open
	| topView launcherView |
	topView := OomAlteredScheduledView 
		model: self
		label: 'Oom Launcher'
		minimumSize: 176 @ 100
		maximumSize: 176 @ 100.
	launcherView := self createDisplayView.
	topView addSubView: launcherView.
	topView borderWidth: 2.
	topView controller openAt: 100 @ 100! !


!OomLauncher methodsFor: 'menu messages' stamp: 'nishis 7/20/1998 01:42'!
about
	OomSystem about! !

!OomLauncher methodsFor: 'menu messages' stamp: 'nishis 7/20/1998 01:42'!
aoki
	OomAokiMetrics new open! !

!OomLauncher methodsFor: 'menu messages' stamp: 'nishis 7/20/1998 03:21'!
basic
	OomBasicMetrics new open! !

!OomLauncher methodsFor: 'menu messages' stamp: 'nishis 7/20/1998 01:42'!
ck
	OomCKMetrics new open! !

!OomLauncher methodsFor: 'menu messages' stamp: 'nishis 8/23/1998 05:41'!
menu
	"OomLauncher flushMenus."

	| collection menu |
	LauncherMenu isNil
		ifTrue: 
			[collection := OrderedCollection new.
			collection add: 'about' -> #about.
			collection add: nil.
			collection add: 'Basic Metrics' -> #basic.
			collection add: 'CK Metrics' -> #ck.
			collection add: 'Aoki Metrics' -> #aoki.
			collection add: nil.
			collection add: 'report' -> #report.
			collection add: 'save' -> #save.
			menu := OomMenuMaker fromCollection: collection.
			LauncherMenu := menu].
	^LauncherMenu! !

!OomLauncher methodsFor: 'menu messages' stamp: 'nishis 7/25/1998 16:25'!
report
	| cursorAnimator |
	(self confirm: 'Do you want to report?')
		ifFalse: [^nil].
	cursorAnimator := OomCursorAnimator handCursors.
	cursorAnimator tick: 500.
	cursorAnimator showWhile: [OomSystem report]! !

!OomLauncher methodsFor: 'menu messages' stamp: 'nishis 7/25/1998 16:25'!
save
	| cursorAnimator |
	(self confirm: 'Do you want to save?')
		ifFalse: [^nil].
	cursorAnimator := OomCursorAnimator handCursors.
	cursorAnimator tick: 500.
	cursorAnimator showWhile: [OomSystem save]! !

!OomLauncher methodsFor: 'menu messages' stamp: 'nishis 8/23/1998 00:40'!
yellowButtonMenu
	"OomLauncher flushMenus."

	^self menu! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomLauncher class
	instanceVariableNames: ''!

!OomLauncher class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi'! !

!OomLauncher class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomLauncher class methodsFor: 'copyright'!
version
	^'010'! !


!OomLauncher class methodsFor: 'class initialization' stamp: 'nishis 8/23/1998 05:40'!
flushMenus
	"OomLauncher flushMenus."

	LauncherMenu := nil! !


!OomLauncher class methodsFor: 'interface specs' stamp: 'nishis 7/21/1998 03:23'!
open
	self new open! !


!OomLauncher class methodsFor: 'examples' stamp: 'nishis 7/21/1998 03:24'!
example1
	"OomLauncher example1."

	OomLauncher open! !
