'Oom010 (11/18/2001 8:36:18 am)'.!


OomController subclass: #OomPopularityController
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Oom-Interface-Popularity'!
!OomPopularityController commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi!


!OomPopularityController methodsFor: 'basic control sequence' stamp: 'nishis 7/18/1998 13:44'!
controlTerminate
	Cursor normal show! !


!OomPopularityController methodsFor: 'control defaults' stamp: 'nishis 7/18/1998 13:45'!
controlActivity
	(Sensor redButtonPressed and: [self viewHasCursor])
		ifTrue: [^self redButtonActivity].
	(Sensor yellowButtonPressed and: [self viewHasCursor])
		ifTrue: [^self yellowButtonActivity].
	self idleActivity! !

!OomPopularityController methodsFor: 'control defaults' stamp: 'nishis 7/18/1998 16:21'!
idleActivity
	| points point cursor |
	(points := view pointCollection) isNil ifTrue: [^self].
	cursor := Cursor currentCursor.
	point := Sensor cursorPoint - view insetDisplayBox topLeft.
	(points findFirst: [:a | a first = point])
		> 0
		ifTrue: [cursor = Cursor crossHair ifFalse: [Cursor crossHair show]]
		ifFalse: [cursor = Cursor normal ifFalse: [Cursor normal show]]! !

!OomPopularityController methodsFor: 'control defaults' stamp: 'nishis 7/18/1998 17:37'!
redButtonActivity
	| points point |
	(points := view pointCollection) isNil ifTrue: [^self].
	point := Sensor cursorPoint - view insetDisplayBox topLeft.
	[Sensor redButtonPressed]
		whileTrue: 
			[point := Sensor cursorPoint - view insetDisplayBox topLeft.
			self idleActivity].
	points do: [:array | point = array first
			ifTrue: 
				[self controlTerminate.
				^self model showClasses: array last]].
	^nil! !

!OomPopularityController methodsFor: 'control defaults' stamp: 'nishis 7/20/1998 04:05'!
yellowButtonActivity
	| menu selector |
	(menu := self model yellowButtonMenu) isNil ifTrue: [^self].
	self controlTerminate.
	selector := menu startUp.
	(selector isNil or: [selector = 0])
		ifFalse: [self model perform: selector].
	self controlInitialize! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomPopularityController class
	instanceVariableNames: ''!

!OomPopularityController class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi'! !

!OomPopularityController class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomPopularityController class methodsFor: 'copyright'!
version
	^'010'! !
