'Oom010 (11/18/2001 8:36:20 am)'.!


OomDisplayModel subclass: #OomTableModel
	instanceVariableNames: 'table '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Oom-Interface-Table'!
!OomTableModel commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi!


!OomTableModel methodsFor: 'accessing' stamp: 'nishis 7/19/1998 12:22'!
table
	^table! !

!OomTableModel methodsFor: 'accessing' stamp: 'nishis 7/19/1998 12:23'!
table: aMatrix
	table := aMatrix.
	self changed: #table! !


!OomTableModel methodsFor: 'interface opening' stamp: 'nishis 7/25/1998 02:19'!
createTableView
	| aView |
	aView := OomTableView new.
	aView model: self.
	aView controller menuHolder: [self yellowButtonMenu].
	aView controller performer: self.
	^aView! !

!OomTableModel methodsFor: 'interface opening' stamp: 'nishis 11/12/1998 22:21'!
open
	| topView view |
	view := self createTableView.
	view  borderWidth: 1.
	topView := OomScheduledView
			model: view model 
			label: 'Table' 
			minimumSize: 200 @ 150.
	topView addSubView: view.
	self postBuildWith: topView.
	OomUtilities openReframe: topView! !


!OomTableModel methodsFor: 'menu messages' stamp: 'nishis 7/19/1998 15:10'!
actionOnColumn: aString
	Transcript cr; show: 'actionOnColumn:>>> ', aString! !

!OomTableModel methodsFor: 'menu messages' stamp: 'nishis 7/19/1998 15:10'!
actionOnRow: aString
	Transcript cr; show: 'actionOnRow:>>> ', aString! !

!OomTableModel methodsFor: 'menu messages' stamp: 'nishis 7/19/1998 13:41'!
yellowButtonMenu
	"OomTableModel flushMenus."

	^nil! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomTableModel class
	instanceVariableNames: ''!

!OomTableModel class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi'! !

!OomTableModel class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomTableModel class methodsFor: 'copyright'!
version
	^'010'! !


!OomTableModel class methodsFor: 'class initialization' stamp: 'nishis 7/19/1998 13:42'!
flushMenus
	"OomTableModel flushMenus."! !


!OomTableModel class methodsFor: 'instance creation' stamp: 'nishis 7/19/1998 13:43'!
table: aMatrix 
	^self new table: aMatrix! !


!OomTableModel class methodsFor: 'examples' stamp: 'nishis 7/19/1998 13:43'!
example1
	"OomTableModel example1."

	| aMatrix aTable |
	aMatrix := OomMatrix
				new: 4
				by: 5
				collection: #(1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20).
	aTable := OomTableModel table: aMatrix.
	aTable open.
	^aTable! !

!OomTableModel class methodsFor: 'examples' stamp: 'nishis 7/19/1998 13:43'!
example2
	"OomTableModel example2."

	| classes calculator progress result matrix table |
	classes := Magnitude withAllSubclasses.
	calculator := OomMetricLOC classes: classes.
	progress := OomProgress new.
	progress message: 'computing...'.
	calculator interim: [:index :size | progress value: index / size].
	progress do: [result := calculator compute].
	matrix := calculator convertToMatrix: result.
	table := OomTableModel table: matrix.
	table open.
	^table! !

!OomTableModel class methodsFor: 'examples' stamp: 'nishis 8/1/1998 21:18'!
example3
	"OomTableModel example3."

	| classes calculator progress result matrix table |
	classes := Object withAllSubclasses.
	calculator := OomMetricNIM classes: classes.
	progress := OomProgress new.
	progress message: 'computing...'.
	calculator interim: [:index :size | progress value: index / size].
	progress do: [result := calculator compute].
	matrix := calculator convertToMatrix: result.
	table := OomTableModel table: matrix.
	table open.
	^table! !
