'Oom010 (11/18/2001 8:36:20 am)'.!


OomTableMetrics subclass: #OomCKMetrics
	instanceVariableNames: ''
	classVariableNames: 'CKMenu '
	poolDictionaries: ''
	category: 'Oom-Metrics-Tool'!
!OomCKMetrics commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi!


!OomCKMetrics methodsFor: 'accessing' stamp: 'nishis 11/13/1998 17:47'!
formatTable
	^#('name' 0.0 0 0 0 0 0)! !

!OomCKMetrics methodsFor: 'accessing' stamp: 'nishis 7/22/1998 23:53'!
metricClasses
	| collection |
	collection := OrderedCollection new.
	collection add: OomMetricWMC.
	collection add: OomMetricDIT.
	collection add: OomMetricNOC.
	collection add: OomMetricCBO.
	collection add: OomMetricRFC.
	collection add: OomMetricLCOM.
	^collection! !


!OomCKMetrics methodsFor: 'interface opening' stamp: 'nishis 11/14/1998 20:24'!
open
	| topView view preferredBounds |
	view := self createTableView.
	view  borderWidth: 1.
	preferredBounds := view preferredBounds expandBy: 2.
	topView := OomScheduledView
			model: view model 
			label: 'CK Metrics' 
			minimumSize: preferredBounds extent x @ 200.
	topView addSubView: view.
	OomUtilities openReframe: topView! !


!OomCKMetrics methodsFor: 'menu messages' stamp: 'nishis 11/7/1998 04:36'!
yellowButtonMenu
	"OomCKMetrics flushMenus."

	| collection menu |
	CKMenu isNil
		ifTrue: 
			[collection := OrderedCollection new.
			collection add: 'classes' -> #selectClasses.
			collection add: 'compute' -> #computeValues.
			collection add: nil.
			collection add: 'load' -> #loadValues.
			collection add: 'save' -> #saveValues.
			collection add: 'save as html' -> #saveValuesAsHtml.
			menu := OomMenuMaker fromCollection: collection.
			CKMenu := menu].
	"self readOnly
		ifTrue: 
			[(CKMenu menuItemLabeled: 'classes') disable.
			(CKMenu menuItemLabeled: 'compute') disable]
		ifFalse: 
			[(CKMenu menuItemLabeled: 'classes') enable.
			(CKMenu menuItemLabeled: 'compute') enable]."
	^CKMenu! !


!OomCKMetrics methodsFor: 'private' stamp: 'nishis 7/22/1998 23:53'!
filePrefix
	^'CK' copy! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomCKMetrics class
	instanceVariableNames: ''!

!OomCKMetrics class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi'! !

!OomCKMetrics class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomCKMetrics class methodsFor: 'copyright'!
version
	^'010'! !


!OomCKMetrics class methodsFor: 'class initialization' stamp: 'nishis 7/22/1998 23:54'!
flushMenus
	"OomCKMetrics flushMenus."

	CKMenu := nil! !


!OomCKMetrics class methodsFor: 'examples' stamp: 'nishis 7/22/1998 23:55'!
example1
	"OomCKMetrics example1."

	| metrics |
	metrics := OomCKMetrics new.
	metrics open.
	^metrics! !
