'Oom010 (11/18/2001 8:36:21 am)'.!


OomTableMetrics subclass: #OomAokiMetrics
	instanceVariableNames: 'scopeSelector currentMode plateHFRF platePFRF plateHFPF platesHFRFPF orderPlates classPopularity messagePopularity '
	classVariableNames: 'AokiMenu '
	poolDictionaries: ''
	category: 'Oom-Metrics-Tool'!
!OomAokiMetrics commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi!


!OomAokiMetrics methodsFor: 'initialize-release' stamp: 'nishis 7/23/1998 00:32'!
initialize
	super initialize.
	currentMode := #HFRFPF! !


!OomAokiMetrics methodsFor: 'accessing' stamp: 'nishis 7/23/1998 00:32'!
currentMode
	^currentMode! !

!OomAokiMetrics methodsFor: 'accessing' stamp: 'nishis 7/23/1998 00:33'!
flushMetrics
	table := nil.
	classPopularity := nil.
	messagePopularity := nil! !

!OomAokiMetrics methodsFor: 'accessing' stamp: 'nishis 11/13/1998 17:46'!
formatTable
	^#('name' 0.0 0.0 0.0)! !

!OomAokiMetrics methodsFor: 'accessing' stamp: 'nishis 7/23/1998 00:33'!
imageSize
	^200 @ 200! !

!OomAokiMetrics methodsFor: 'accessing' stamp: 'nishis 7/23/1998 00:33'!
metricClasses
	| collection |
	collection := OrderedCollection new.
	collection add: OomMetricHF.
	collection add: OomMetricRF.
	collection add: OomMetricPF.
	^collection! !

!OomAokiMetrics methodsFor: 'accessing' stamp: 'nishis 7/23/1998 00:33'!
orderPlates
	orderPlates isNil ifTrue: [self computeMetrics].
	^orderPlates! !

!OomAokiMetrics methodsFor: 'accessing' stamp: 'nishis 7/23/1998 00:33'!
plateHFPF
	plateHFPF isNil ifTrue: [self computeMetrics].
	^plateHFPF! !

!OomAokiMetrics methodsFor: 'accessing' stamp: 'nishis 7/23/1998 00:34'!
plateHFRF
	plateHFRF isNil ifTrue: [self computeMetrics].
	^plateHFRF! !

!OomAokiMetrics methodsFor: 'accessing' stamp: 'nishis 11/14/1998 12:36'!
plateInterval
	^10! !

!OomAokiMetrics methodsFor: 'accessing' stamp: 'nishis 7/23/1998 00:34'!
platePFRF
	platePFRF isNil ifTrue: [self computeMetrics].
	^platePFRF! !

!OomAokiMetrics methodsFor: 'accessing' stamp: 'nishis 7/23/1998 00:34'!
plateSize
	^11! !

!OomAokiMetrics methodsFor: 'accessing' stamp: 'nishis 7/23/1998 00:34'!
platesHFRFPF
	platesHFRFPF isNil ifTrue: [self computeMetrics].
	^platesHFRFPF! !


!OomAokiMetrics methodsFor: 'scope accessing' stamp: 'nishis 7/23/1998 00:34'!
scopeSelector
	scopeSelector isNil ifTrue: [scopeSelector := OomClassSelector new].
	^scopeSelector! !


!OomAokiMetrics methodsFor: 'popularity accessing' stamp: 'nishis 7/23/1998 00:45'!
classPopularity
	classPopularity isNil ifTrue: [self computePopularities].
	^classPopularity! !

!OomAokiMetrics methodsFor: 'popularity accessing' stamp: 'nishis 7/23/1998 00:45'!
messagePopularity
	messagePopularity isNil ifTrue: [self computePopularities].
	^messagePopularity! !


!OomAokiMetrics methodsFor: 'enumerating' stamp: 'nishis 7/23/1998 00:35'!
rowsDo: aBlock 
	| matrix |
	matrix := self table.
	2 to: matrix rowSize do: [:i | aBlock value: (Array
				with: (matrix atPoint: i @ 1)
				with: (matrix atPoint: i @ 2)
				with: (matrix atPoint: i @ 3)
				with: (matrix atPoint: i @ 4))]! !


!OomAokiMetrics methodsFor: 'interface opening' stamp: 'nishis 7/25/1998 02:08'!
createMetricsView
	| aView |
	aView := OomAokiMetricsView new.
	aView model: self.
	aView controller menuHolder: [self yellowButtonMenu].
	aView controller performer: self.
	^aView! !

!OomAokiMetrics methodsFor: 'interface opening' stamp: 'nishis 11/12/1998 22:24'!
open
	| topView view |
	view := self createMetricsView.
	view  borderWidth: 1.
	topView := OomScheduledView
			model: view model 
			label: 'Aoki Metrics' 
			minimumSize: 260 @ 260.
	topView addSubView: view.
	OomUtilities openReframe: topView! !


!OomAokiMetrics methodsFor: 'menu messages' stamp: 'nishis 7/23/1998 03:22'!
changeHFPF
	currentMode = #HFPF
		ifFalse: 
			[currentMode := #HFPF.
			self changed: #mode]! !

!OomAokiMetrics methodsFor: 'menu messages' stamp: 'nishis 7/23/1998 00:36'!
changeHFRF
	currentMode = #HFRF
		ifFalse: 
			[currentMode := #HFRF.
			self changed: #mode]! !

!OomAokiMetrics methodsFor: 'menu messages' stamp: 'nishis 7/23/1998 00:36'!
changeHFRFPF
	currentMode = #HFRFPF
		ifFalse: 
			[currentMode := #HFRFPF.
			self changed: #mode]! !

!OomAokiMetrics methodsFor: 'menu messages' stamp: 'nishis 7/23/1998 00:36'!
changePFRF
	currentMode = #PFRF
		ifFalse: 
			[currentMode := #PFRF.
			self changed: #mode]! !

!OomAokiMetrics methodsFor: 'menu messages' stamp: 'nishis 7/23/1998 19:10'!
selectScope
	| model topView |
	model := self scopeSelector.
	model dependents size = 0 
		ifTrue: 
			[model postBuildBlock: [:aBuilder | aBuilder label: 'Scope Selector'].
			model open]
		ifFalse: 
			[model dependents do: [:view | view isTopView ifTrue: [topView := view]].
			topView isNil not ifTrue: [ScheduledControllers activateController: topView controller]]! !

!OomAokiMetrics methodsFor: 'menu messages' stamp: 'nishis 11/14/1998 12:38'!
showCP
	| model values keys dictionary |
	Sensor shiftPressed 
		ifTrue: 
			[model := OomTableMetrics table: self classPopularity.
			model postBuildBlock: [:aBuilder | aBuilder label: 'Class Popularity'].
			model open]
		ifFalse: 
			[values := self classPopularity atColumn: 2.
			values := values copyFrom: 2 to: values size.
			keys := self classPopularity atColumn: 1.
			keys := keys copyFrom: 2 to: keys size.
			dictionary := IdentityDictionary new: keys size.
			keys with: values do: [:key :value | dictionary at: key asSymbol put: value].
			model := OomPopularityModel sample: dictionary.
			model horizontal: OomMetricCP description , ' ranking'.
			model vertical: OomMetricCP description.
			model postBuildBlock: [:aBuilder | aBuilder "window" label: 'Class Popularity'].
			model open]! !

!OomAokiMetrics methodsFor: 'menu messages' stamp: 'nishis 7/23/1998 00:37'!
showClasses: anArray 
	| collection hf1 hf2 rf1 rf2 pf1 pf2 hf rf pf target |
	collection := OrderedCollection new.
	hf1 := (anArray at: 1) first.
	hf2 := (anArray at: 1) last.
	rf1 := (anArray at: 2) first.
	rf2 := (anArray at: 2) last.
	pf1 := (anArray at: 3) first.
	pf2 := (anArray at: 3) last.
	self
		rowsDo: 
			[:array | 
			hf := (array at: 2)
						roundTo: 0.01.
			rf := (array at: 3)
						roundTo: 0.01.
			pf := (array at: 4)
						roundTo: 0.01.
			(((hf1 <= hf and: [hf <= hf2])
				and: [rf1 <= rf and: [rf <= rf2]])
				and: [pf1 <= pf and: [pf <= pf2]])
				ifTrue: [collection add: array]].
	collection isEmpty ifTrue: [^self].
	target := OomFakeDialog 
				model: self 
				choose: 'Which of these classes do you browse?'
				fromList: (collection collect: [:array | (array at: 1) asString , ' (' , ((array at: 2)
								roundTo: 0.01) printString , ' ' , ((array at: 3)
								roundTo: 0.01) printString , ' ' , ((array at: 4)
								roundTo: 0.01) printString , ')'])
				values: (collection collect: [:array | array at: 1])
				lines: 10
				cancel: [nil].
	target isNil ifTrue: [^self].
	OomTableMetrics browse: target! !

!OomAokiMetrics methodsFor: 'menu messages' stamp: 'nishis 11/14/1998 12:38'!
showMP
	| model values keys dictionary |
	Sensor shiftPressed 
		ifTrue: 
			[model := OomTableMetrics table: self messagePopularity.
			model postBuildBlock: [:aBuilder | aBuilder label: 'Message Popularity'].
			model open]
		ifFalse: 
			[values := self messagePopularity atColumn: 2.
			values := values copyFrom: 2 to: values size.
			keys := self messagePopularity atColumn: 1.
			keys := keys copyFrom: 2 to: keys size.
			dictionary := IdentityDictionary new: keys size.
			keys with: values do: [:key :value | dictionary at: key asSymbol put: value].
			model := OomPopularityModel sample: dictionary.
			model horizontal: OomMetricMP description , ' ranking'.
			model vertical: OomMetricMP description.
			model postBuildBlock: [:aBuilder | aBuilder "window" label: 'Message Popularity'].
			model open]! !

!OomAokiMetrics methodsFor: 'menu messages' stamp: 'nishis 11/7/1998 04:37'!
yellowButtonMenu
	"OomAokiMetrics flushMenus."

	| collection menu |
	AokiMenu isNil
		ifTrue: 
			[collection := OrderedCollection new.
			collection add: 'classes' -> #selectClasses.
			collection add: 'scope' -> #selectScope.
			collection add: 'compute' -> #computeValues.
			collection add: nil.
			collection add: 'HF-RF' -> #changeHFRF.
			collection add: 'PF-RF' -> #changePFRF.
			collection add: 'HF-PF' -> #changeHFPF.
			collection add: 'HF-RF-PF' -> #changeHFRFPF.
			collection add: nil.
			collection add: 'CP' -> #showCP.
			collection add: 'MP' -> #showMP.
			collection add: nil.
			collection add: 'load' -> #loadValues.
			collection add: 'save' -> #saveValues.
			collection add: 'save as html' -> #saveValuesAsHtml.
			menu := OomMenuMaker fromCollection: collection.
			AokiMenu := menu].
"	self readOnly
		ifTrue: 
			[(AokiMenu menuItemLabeled: 'classes') disable.
			(AokiMenu menuItemLabeled: 'scope') disable.
			(AokiMenu menuItemLabeled: 'compute') disable]
		ifFalse: 
			[(AokiMenu menuItemLabeled: 'classes') enable.
			(AokiMenu menuItemLabeled: 'scope') enable.
			(AokiMenu menuItemLabeled: 'compute') enable]."
	^AokiMenu! !


!OomAokiMetrics methodsFor: 'filing' stamp: 'nishis 7/23/1998 00:59'!
loadMetrics: aStream 
	super loadMetrics: aStream.
	self makePlates.
	self loadPopularities: aStream! !

!OomAokiMetrics methodsFor: 'filing' stamp: 'nishis 7/23/1998 00:48'!
loadPopularities: aStream 
	| utility separators collection rowSize columnSize matrix value |
	utility := OomMetricAbstract new.
	separators := String
				with: Character tab
				with: Character cr
				with: Character linefeed.
	collection := utility separate: (utility getLine: aStream)
				dividers: separators.
	rowSize := (collection at: 1) asNumber.
	columnSize := (collection at: 2) asNumber.
	matrix := OomMatrix new: rowSize by: columnSize.
	1 to: rowSize
		do: 
			[:i | 
			collection := utility separate: (utility getLine: aStream)
						dividers: separators.
			matrix rowIndex: i
				doJ: 
					[:v :j | 
					value := collection at: j.
					i = 1
						ifTrue: [value := value asText allBold]
						ifFalse: [j = 1 ifFalse: [value := value asNumber]].
					matrix atPoint: i @ j put: value]].
	classPopularity := matrix.
	collection := utility separate: (utility getLine: aStream)
				dividers: separators.
	rowSize := (collection at: 1) asNumber.
	columnSize := (collection at: 2) asNumber.
	matrix := OomMatrix new: rowSize by: columnSize.
	1 to: rowSize
		do: 
			[:i | 
			collection := utility separate: (utility getLine: aStream)
						dividers: separators.
			matrix rowIndex: i
				doJ: 
					[:v :j | 
					value := collection at: j.
					i = 1
						ifTrue: [value := value asText allBold]
						ifFalse: [j = 1 ifFalse: [value := value asNumber]].
					matrix atPoint: i @ j put: value]].
	messagePopularity := matrix! !

!OomAokiMetrics methodsFor: 'filing' stamp: 'nishis 11/13/1998 19:23'!
saveClassPopularitiesAsHtml: aStream 
	| rowPos |
	aStream nextPutAll: '<H3>'.
	aStream nextPutAll: 'Class Popularity'.
	aStream nextPutAll: '</H3>'.
	aStream cr.

	1 to: self classPopularity rowSize
		do: 
			[:index | 
			rowPos := 1.
			self classPopularity rowIndex: index
				do: 
					[:each | 
					rowPos = 1 ifTrue: 
							[index = 1 
								ifTrue: 
									[aStream nextPutAll: '<TABLE BORDER=1 CELLPADDING="4">'.
									aStream cr].
							aStream nextPutAll: '<TR>'.
							aStream cr].
					index = 1 
						ifTrue: [aStream nextPutAll: '<TH>']
						ifFalse: 
							[rowPos = 1 
								ifTrue: [aStream nextPutAll: '<TD>']
								ifFalse: [aStream nextPutAll: '<TD ALIGN="RIGHT">']].
					(each isKindOf: Number)
						ifTrue: [(each isKindOf: Integer)
								ifTrue: [aStream nextPutAll: each printString]
								ifFalse: [aStream nextPutAll: (OomUtilities asFloat: each asFloat decimalCount: 2)]]
						ifFalse: [aStream nextPutAll: each asString].
					index = 1 
						ifTrue: [aStream nextPutAll: '</TH>']
						ifFalse: 
							[rowPos = 1 
								ifTrue: [aStream nextPutAll: '</TD>']
								ifFalse: [aStream nextPutAll: '</TD>']].
					rowPos = self classPopularity columnSize ifTrue: 
							[aStream nextPutAll: '</TR>'.
							aStream cr].
					rowPos := rowPos + 1].
			aStream cr].
	aStream nextPutAll: '</TABLE>'.
	aStream cr.
	aStream cr! !

!OomAokiMetrics methodsFor: 'filing' stamp: 'nishis 11/13/1998 19:31'!
saveMessagePopularityAsHtml: aStream 
	| rowPos |
	aStream nextPutAll: '<H3>'.
	aStream nextPutAll: 'Message Popularity'.
	aStream nextPutAll: '</H3>'.
	aStream cr.

	1 to: self messagePopularity rowSize
		do: 
			[:index | 
			rowPos := 1.
			self messagePopularity rowIndex: index
				do: 
					[:each | 
					rowPos = 1 ifTrue: 
							[index = 1 
								ifTrue: 
									[aStream nextPutAll: '<TABLE BORDER=1 CELLPADDING="4">'.
									aStream cr].
							aStream nextPutAll: '<TR>'.
							aStream cr].
					index = 1 
						ifTrue: [aStream nextPutAll: '<TH>']
						ifFalse: 
							[rowPos = 1 
								ifTrue: [aStream nextPutAll: '<TD>']
								ifFalse: [aStream nextPutAll: '<TD ALIGN="RIGHT">']].
					(each isKindOf: Number)
						ifTrue: [(each isKindOf: Integer)
								ifTrue: [aStream nextPutAll: each printString]
								ifFalse: [aStream nextPutAll: (OomUtilities asFloat: each asFloat decimalCount: 2)]]
						ifFalse: [aStream nextPutAll: each asString].
					index = 1 
						ifTrue: [aStream nextPutAll: '</TH>']
						ifFalse: 
							[rowPos = 1 
								ifTrue: [aStream nextPutAll: '</TD>']
								ifFalse: [aStream nextPutAll: '</TD>']].
					rowPos = self messagePopularity columnSize ifTrue: 
							[aStream nextPutAll: '</TR>'.
							aStream cr].
					rowPos := rowPos + 1].
			aStream cr].
	aStream cr.
	aStream nextPutAll: '</TABLE>'.
	aStream cr.
	aStream nextPutAll: '<HR>'.
	aStream cr! !

!OomAokiMetrics methodsFor: 'filing' stamp: 'nishis 11/13/1998 16:34'!
saveMetrics: aStream 
	super saveMetrics: aStream.
	self savePopularities: aStream! !

!OomAokiMetrics methodsFor: 'filing' stamp: 'nishis 11/13/1998 21:00'!
saveMetricsAsHtml: aStream 
	| directoryName akFilename cpStream mpStream cpFilename mpFilename mpString cpString akString |
	cpString := 'Class Popularity'.
	mpString := 'Message Popularity'.
	akString := 'Aoki Metrics'.
	akFilename := aStream localName.
	directoryName := (FileDirectory dirPathFor: aStream name) , FileDirectory pathNameDelimiter asString.
	cpFilename := self subFileName: self classPopularityFilePrefix baseNameFor: akFilename.
	mpFilename := self subFileName: self messagePopularityFilePrefix baseNameFor: akFilename.
	cpStream := FileStream newFileNamed: directoryName , cpFilename.
	mpStream := FileStream newFileNamed: directoryName , mpFilename.
	cpFilename := cpStream localName.
	mpFilename := mpStream localName.

	"write 'Aoki Metrics'."
	self htmlHeader: aStream title: akString
			title1: cpString file1: cpFilename 
			title2: mpString file2: mpFilename.
	self htmlBody: aStream.
	self htmlFooter: aStream 
			title1: cpString file1: cpFilename 
			title2: mpString file2: mpFilename.

	"write 'Class Popularity'."
	[Cursor write showWhile: 
		[self htmlHeader: cpStream title: cpString
				title1: akString file1: akFilename 
				title2: mpString file2: mpFilename.
		self saveClassPopularitiesAsHtml: cpStream.
		self htmlFooter: cpStream 
				title1: akString file1: akFilename 
				title2: mpString file2: mpFilename]] 
		ifError: [:err :rcvr | cpStream close].
	cpStream close.

	"write 'Message Popularity'."
	[Cursor write showWhile: 
		[self htmlHeader: mpStream title: mpString 
				title1: akString file1: akFilename 
				title2: cpString file2: cpFilename.
		self saveMessagePopularityAsHtml: mpStream.
		self htmlFooter: mpStream 
				title1: akString file1: akFilename 
				title2: cpString file2: cpFilename]] 
		ifError: [:err :rcvr | mpStream close].
	mpStream close
! !

!OomAokiMetrics methodsFor: 'filing' stamp: 'nishis 11/8/1998 23:47'!
savePopularities: aStream 
	aStream nextPutAll: self classPopularity rowSize printString.
	aStream tab.
	aStream nextPutAll: self classPopularity columnSize printString.
	aStream cr.
	1 to: self classPopularity rowSize
		do: 
			[:index | 
			self classPopularity rowIndex: index
				do: 
					[:each | 
					(each isKindOf: Number)
						ifTrue: [(each isKindOf: Integer)
								ifTrue: [aStream nextPutAll: each printString]
								ifFalse: [aStream nextPutAll: each asFloat printString]]
						ifFalse: [aStream nextPutAll: each asString].
					aStream tab].
			aStream cr].
	aStream nextPutAll: self messagePopularity rowSize printString.
	aStream tab.
	aStream nextPutAll: self messagePopularity columnSize printString.
	aStream cr.
	1 to: self messagePopularity rowSize
		do: 
			[:index | 
			self messagePopularity rowIndex: index
				do: 
					[:each | 
					(each isKindOf: Number)
						ifTrue: [(each isKindOf: Integer)
								ifTrue: [aStream nextPutAll: each printString]
								ifFalse: [aStream nextPutAll: each asFloat printString]]
						ifFalse: [aStream nextPutAll: each asString].
					aStream tab].
			aStream cr]! !


!OomAokiMetrics methodsFor: 'private' stamp: 'nishis 11/13/1998 19:01'!
classPopularityFilePrefix
	^'CP' copy! !

!OomAokiMetrics methodsFor: 'private' stamp: 'nishis 7/23/1998 00:59'!
computeMetrics
	super computeMetrics.
	self makePlates.
	self computePopularities! !

!OomAokiMetrics methodsFor: 'private' stamp: 'nishis 7/23/1998 00:41'!
computePopularities
	| classes progress calculator matrix1 matrix2 |
	classes := self classes.
	classes isEmpty
		ifTrue: 
			[matrix1 := OomMatrix
						new: 1
						by: 2
						collection: (Array with: OomMetricCP item asText allBold with: OomMetricCP nickname asText allBold).
			matrix2 := OomMatrix
						new: 1
						by: 2
						collection: (Array with: OomMetricMP item asText allBold with: OomMetricMP nickname asText allBold)]
		ifFalse: 
			[progress := OomProgress new.
			progress
				do: 
					[calculator := OomMetricCP classes: classes.
					progress message: calculator nickname , ' computing...'.
					calculator interim: [:index :size | progress value: index / size].
					matrix1 := calculator convertToMatrix: calculator compute.
					calculator := OomMetricMP classes: classes.
					progress message: calculator nickname , ' computing...'.
					calculator interim: [:index :size | progress value: index / size].
					matrix2 := calculator convertToMatrix: calculator compute]].
	classPopularity := matrix1.
	messagePopularity := matrix2! !

!OomAokiMetrics methodsFor: 'private' stamp: 'nishis 7/23/1998 03:42'!
displayBoxOn: graphicsContext box: aRectangle clip: clippingBox lineWidth: lineWidth color: aColor 
	| quadrangle |
	(aRectangle intersects: clippingBox)
		ifTrue: 
			[quadrangle := Quadrangle region: aRectangle 
					borderWidth: lineWidth 
					borderColor: aColor 
					insideColor: aColor.
			quadrangle displayOn: graphicsContext]! !

!OomAokiMetrics methodsFor: 'private' stamp: 'nishis 7/23/1998 03:49'!
drawDotOn: image at: point 
	| p |
	#(0 -1 0 0 1) with: #(-1 0 0 1 0)
		do: 
			[:x :y | 
			p := x @ y + point.
			(image boundingBox containsPoint: p)
				ifTrue: 
					[self displayBoxOn: image 
							box: (p extent: 1 @ 1) 
							clip: image boundingBox 
							lineWidth: 1 
							color: Color black]]! !

!OomAokiMetrics methodsFor: 'private' stamp: 'nishis 7/23/1998 00:41'!
filePrefix
	^'AK' copy! !

!OomAokiMetrics methodsFor: 'private' stamp: 'nishis 11/13/1998 19:42'!
htmlFooter: aStream title1: title1 file1: filename1 title2: title2 file2: filename2
	aStream cr.
	aStream nextPutAll: '<A HREF="'.
	aStream nextPutAll: filename1.
	aStream nextPutAll: '"><B>'.
	aStream nextPutAll: title1.
	aStream nextPutAll: '</B></A>'.
	aStream cr.
	aStream nextPutAll: '<A HREF="'.
	aStream nextPutAll: filename2.
	aStream nextPutAll: '"><B>'.
	aStream nextPutAll: title2.
	aStream nextPutAll: '</B></A>'.
	aStream cr.
	aStream nextPutAll: '</BODY>'.
	aStream cr.
	aStream nextPutAll: '</HTML>'.
	aStream cr! !

!OomAokiMetrics methodsFor: 'private' stamp: 'nishis 11/13/1998 19:37'!
htmlHeader: aStream title: aString title1: title1 file1: filename1 title2: title2 file2: filename2
	aStream nextPutAll: '<HTML>'.
	aStream cr.
	aStream nextPutAll: '<HEAD>'.
	aStream cr.
	aStream nextPutAll: '<TITLE>'.
	aStream nextPutAll: aString.
	aStream nextPutAll: '</TITLE>'.
	aStream cr.
	aStream nextPutAll: '</HEAD>'.
	aStream cr.
	aStream nextPutAll: '<BODY>'.
	aStream cr.
	aStream nextPutAll: '<A HREF="'.
	aStream nextPutAll: filename1.
	aStream nextPutAll: '"><B>'.
	aStream nextPutAll: title1.
	aStream nextPutAll: '</B></A>'.
	aStream cr.
	aStream nextPutAll: '<A HREF="'.
	aStream nextPutAll: filename2.
	aStream nextPutAll: '"><B>'.
	aStream nextPutAll: title2.
	aStream nextPutAll: '</B></A>'.
	aStream cr.
	aStream nextPutAll: '<HR>'.
	aStream cr! !

!OomAokiMetrics methodsFor: 'private' stamp: 'nishis 11/14/1998 12:40'!
imageExtent: extent 
	^Form extent: extent depth: 1! !

!OomAokiMetrics methodsFor: 'private' stamp: 'nishis 7/23/1998 02:15'!
imageExtentWithBorder: extent 
	"(OomAokiMetrics new imageExtentWithBorder: 100 @ 100) 
	displayAt: ScheduledControllers activeController view insetDisplayBox origin."

	| image aRectangle quadrangle |
	image := self imageExtent: extent.
	aRectangle := 0 @ 0 extent: image extent.
	quadrangle := Quadrangle region: aRectangle 
			borderWidth: 1 
			borderColor: Color black 
			insideColor: nil.
	quadrangle displayOn: image.
	^image
	

"	| image index |
	image := self imageExtent: extent.
	index := image palette indexOfPaintNearest: Color gray.
	0 to: image width - 1
		do: 
			[:i | 
			image
				atX: i
				y: 0
				put: index.
			image
				atX: i
				y: image height - 1
				put: index].
	0 to: image height - 1
		do: 
			[:i | 
			image
				atX: 0
				y: i
				put: index.
			image
				atX: image width - 1
				y: i
				put: index].
	^image"! !

!OomAokiMetrics methodsFor: 'private' stamp: 'nishis 7/23/1998 01:27'!
makePlates
	| extent image hf rf pf point index unityPoint |
	unityPoint := 1 @ 1.
	plateHFRF := self imageExtentWithBorder: self imageSize + (1 @ 1).
	platePFRF := self imageExtentWithBorder: self imageSize + (1 @ 1).
	plateHFPF := self imageExtentWithBorder: self imageSize + (1 @ 1).
	platesHFRFPF := Array new: self plateSize.
	extent := self imageSize - (self plateSize - 1 * self plateInterval) asPoint.
	1 to: platesHFRFPF size
		do: 
			[:i | 
			image := self imageExtentWithBorder: extent + (1 @ 1).
			platesHFRFPF at: i put: image].
	self
		rowsDo: 
			[:array | 
			hf := (array at: 2) asFloat roundTo: 0.01.
			rf := (array at: 3) asFloat roundTo: 0.01.
			pf := (array at: 4) asFloat roundTo: 0.01.
			point := hf @ rf * (plateHFRF boundingBox extent - unityPoint).
			self drawDotOn: plateHFRF at: point rounded.
			point := pf @ rf * (platePFRF boundingBox extent - unityPoint ).
			self drawDotOn: platePFRF at: point rounded.
			point := hf @ pf * (plateHFPF boundingBox extent - unityPoint).
			self drawDotOn: plateHFPF at: point rounded.
			index := (pf * (self plateSize - 1) + 1) rounded.
			image := platesHFRFPF at: index.
			point := hf @ rf * (image boundingBox extent - unityPoint).
			self drawDotOn: image at: point rounded].
	orderPlates := OrderedCollection new: platesHFRFPF size.
	1 to: platesHFRFPF size do: [:each | orderPlates add: each]! !

!OomAokiMetrics methodsFor: 'private' stamp: 'nishis 11/13/1998 19:01'!
messagePopularityFilePrefix
	^'MP' copy! !

!OomAokiMetrics methodsFor: 'private' stamp: 'nishis 7/23/1998 00:43'!
setEnvironment: calculator 
	| scope collection it |
	scope := self scopeSelector classNames.
	scope isEmpty ifTrue: [^self].
	collection := OrderedCollection new: scope size.
	scope
		do: 
			[:each | 
			it := Smalltalk at: each asSymbol ifAbsent: [nil].
			((it isKindOf: Behavior) and: [it isMeta not])
				ifTrue: [collection add: it]].
	calculator scope: collection! !

!OomAokiMetrics methodsFor: 'private' stamp: 'nishis 11/13/1998 20:02'!
subFileName: filePrefix baseNameFor: fileName
	| string baseName |
	baseName := FileDirectory baseNameFor: fileName.
	string := String new.
	string := baseName copyFrom: self filePrefix size + 1 to: baseName size.
	string := filePrefix , string , '.htm'.
	^string! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomAokiMetrics class
	instanceVariableNames: ''!

!OomAokiMetrics class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi'! !

!OomAokiMetrics class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomAokiMetrics class methodsFor: 'copyright'!
version
	^'010'! !


!OomAokiMetrics class methodsFor: 'class initialization' stamp: 'nishis 7/23/1998 00:43'!
flushMenus
	"OomAokiMetrics flushMenus."

	AokiMenu := nil! !


!OomAokiMetrics class methodsFor: 'instance creation' stamp: 'nishis 7/23/1998 00:43'!
new
	^(super new) initialize; yourself! !


!OomAokiMetrics class methodsFor: 'examples' stamp: 'nishis 7/23/1998 00:44'!
example1
	"OomAokiMetrics example1."

	| metrics |
	metrics := OomAokiMetrics new.
	metrics open.
	^metrics! !

!OomAokiMetrics class methodsFor: 'examples' stamp: 'nishis 7/23/1998 02:49'!
example9
	"OomAokiMetrics example9."

	| metrics window activeController |
	metrics := OomAokiMetrics new.
	metrics classes: Magnitude withAllSubclasses.
	metrics computeMetrics.
	activeController := ScheduledControllers activeController.
	window := activeController view.
	Cursor crossHair showWhile:
	[window clearInside.
	metrics plateHFRF displayAt: window insetDisplayBox origin + (10 @ 10).
	activeController sensor waitClickButton.
	window clearInside.
	metrics platePFRF displayAt: window insetDisplayBox origin + (10 @ 10).
	activeController sensor waitClickButton.
	window clearInside.
	metrics plateHFPF displayAt: window insetDisplayBox origin + (10 @ 10).
	activeController sensor waitClickButton.
	metrics platesHFRFPF
		do: 
			[:each | 
	window clearInside.
			each displayAt: window insetDisplayBox origin + (10 @ 10).
			activeController sensor waitClickButton].
	window display].
	^metrics! !
