'Oom010 (11/18/2001 8:36:23 am)'.!


OomMetricNOA subclass: #OomMetricNCV
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Oom-Metrics-Basic'!
!OomMetricNCV commentStamp: '<historical>' prior: 0!
Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi!


!OomMetricNCV methodsFor: 'computing'!
computeNOA: aClass 
	"OomMetricNCV new computeNOA: Point."

	^aClass classVarNames size! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OomMetricNCV class
	instanceVariableNames: ''!

!OomMetricNCV class methodsFor: 'copyright'!
copyright
	^'Oom010 (96/10/19) Copyright (C) 1996 AOKI Atsushi'! !

!OomMetricNCV class methodsFor: 'copyright'!
system
	^'Oom'! !

!OomMetricNCV class methodsFor: 'copyright'!
version
	^'010'! !


!OomMetricNCV class methodsFor: 'description'!
description
	^'number of class variables per class'! !

!OomMetricNCV class methodsFor: 'description'!
nickname
	^'NCV'! !


!OomMetricNCV class methodsFor: 'examples'!
example1
	"OomMetricNCV example1."

	| classes calculator result |
	classes := Magnitude withAllSubclasses.
	calculator := OomMetricNCV classes: classes.
	result := calculator compute.
	calculator report: result.
	^result! !

!OomMetricNCV class methodsFor: 'examples' stamp: 'nishis 7/9/1998 00:32'!
example2
	"OomMetricNCV example2."

	| classes calculator progress result |
	classes := Magnitude withAllSubclasses.
	calculator := OomMetricNCV classes: classes.
	progress := OomProgress new.
	progress message: 'computing...'.
	calculator interim: [:index :size | progress value: index / size].
	progress do: [result := calculator compute].
	calculator report2: result.
	^result! !

!OomMetricNCV class methodsFor: 'examples' stamp: 'nishis 7/24/1998 02:17'!
example3
	"OomMetricNCV example3."

	| classes calculator progress result matrix table |
	classes := Magnitude withAllSubclasses.
	calculator := OomMetricNCV classes: classes.
	progress := OomProgress new.
	progress message: 'computing...'.
	calculator interim: [:index :size | progress value: index / size].
	progress do: [result := calculator compute].
	matrix := calculator convertToMatrix: result.
	table := OomTableMetrics table: matrix.
	table open.
	^result! !

!OomMetricNCV class methodsFor: 'examples' stamp: 'nishis 7/24/1998 02:17'!
example4
	"OomMetricNCV example4."

	| classes calculator progress result histogram |
	classes := Magnitude withAllSubclasses.
	calculator := OomMetricNCV classes: classes.
	progress := OomProgress new.
	progress message: 'computing...'.
	calculator interim: [:index :size | progress value: index / size].
	progress do: [result := calculator compute].
	histogram := OomHistogramModel
				sample: result
				min: 0
				max: 20
				rank: 20.
	histogram horizontal: calculator nicknameAndDescription.
	histogram vertical: 'number of classes'.
	histogram open.
	^result! !
